/*============================================================================
  File:     VerifyDatabaseMirroringState.sql

  Summary:  Verify the current state of the database using the 
			sys.database_mirroring catalog view.

  Date:     June 2007

  SQL Server Version: 9.00.3054.00 (SP2)
------------------------------------------------------------------------------
  Copyright (C) 2007 Kimberly L. Tripp, SQLskills.com
  All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Kimberly L. Tripp.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

:SETVAR ConnectToServer (local)\SQLDev01
:SETVAR VerifyDatabase AdventureWorksDW
go

:ON ERROR EXIT
go

:CONNECT $(ConnectToServer)

SELECT	db_name(sd.[database_id]) AS [Database Name], 
		sd.mirroring_guid, 
		sd.mirroring_state, 
		sd.mirroring_state_desc, 
		sd.mirroring_partner_name, 
		sd.mirroring_witness_name, 
		sd.mirroring_witness_state, 
		sd.mirroring_witness_state_desc, 
		sd.mirroring_role, 
		sd.mirroring_role_desc, 
		sd.mirroring_role_sequence, 
		sd.mirroring_safety_level, 
		sd.mirroring_safety_level_desc, 
		sd.mirroring_safety_sequence, 
		sd.mirroring_failover_lsn 
FROM	sys.database_mirroring AS sd
WHERE	sd.[database_id] = db_id(N'$(VerifyDatabase)')
