/*============================================================================
  File:     InitiateFailover.sql

  Summary:  Initiates the failover - manually.

  Date:     June 2007

  SQL Server Version: 9.00.3054.00 (SP2)
------------------------------------------------------------------------------
  Copyright (C) 2007 Kimberly L. Tripp, SQLskills.com
  All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Kimberly L. Tripp.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

USE AdventureWorks
GO

USE master
GO

ALTER DATABASE AdventureWorks
SET PARTNER FAILOVER
GO

SELECT	db_name(sd.[database_id]) AS [Database Name], 
		sd.mirroring_guid, 
		sd.mirroring_state, 
		sd.mirroring_state_desc,			-- should be SYNCHRONIZED
		sd.mirroring_partner_name, 
		sd.mirroring_witness_name, 
		sd.mirroring_witness_state, 
		sd.mirroring_witness_state_desc, 
		sd.mirroring_role, 
		sd.mirroring_role_desc,				-- should be MIRROR
		sd.mirroring_role_sequence, 
		sd.mirroring_safety_level, 
		sd.mirroring_safety_level_desc, 
		sd.mirroring_safety_sequence, 
		sd.mirroring_failover_lsn 
FROM	sys.database_mirroring AS sd
WHERE	sd.[database_id] = db_id(N'AdventureWorks')
GO

:CONNECT (local)\SQLDev02

USE master
go

ALTER DATABASE AdventureWorks
SET PARTNER FAILOVER
GO

ALTER DATABASE AdventureWorksDW
SET PARTNER FAILOVER
GO

:CONNECT (local)\SQLDev02

USE AdventureWorks
go

SELECT db_name()
go

USE AdventureWorksDW
go

SELECT db_name()
go

:CONNECT (local)\SQLDev02

USE master
go

ALTER DATABASE AdventureWorks
SET PARTNER FORCE_SERVICE_ALLOW_DATA_LOSS
GO

USE AdventureWorks
go

SELECT db_name()
go

SELECT	db_name(sd.[database_id]) AS [Database Name], 
		sd.mirroring_guid, 
		sd.mirroring_state, 
		sd.mirroring_state_desc,			-- should be DISCONNECTED
		sd.mirroring_partner_name, 
		sd.mirroring_witness_name, 
		sd.mirroring_witness_state, 
		sd.mirroring_witness_state_desc, 
		sd.mirroring_role, 
		sd.mirroring_role_desc,				-- should be PRINCIPAL
		sd.mirroring_role_sequence, 
		sd.mirroring_safety_level, 
		sd.mirroring_safety_level_desc, 
		sd.mirroring_safety_sequence, 
		sd.mirroring_failover_lsn 
FROM	sys.database_mirroring AS sd
WHERE	sd.[database_id] = db_id(N'AdventureWorks')
GO

:CONNECT (local)\SQLDev02

USE master
go

ALTER DATABASE AdventureWorks
SET PARTNER RESUME
GO
