/*============================================================================
  File:     PreventSplitBrain.sql

  Summary:  This script shows how the split brain problem is prevented when
			the principal loses touch with BOTH the witness and the mirror
			instances.

  Date:     June 2007

  SQL Server Version: 9.00.3054.00 (SP2)
------------------------------------------------------------------------------
  Copyright (C) 2007 Kimberly L. Tripp, SQLskills.com
  All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Kimberly L. Tripp.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

:CONNECT (local)\SQLDev01

SELECT	db_name(sd.[database_id]) AS [Database Name], 
		sd.mirroring_witness_state, 
		sd.mirroring_witness_state_desc, 
		sd.mirroring_role_desc,	
		sd.mirroring_safety_level_desc,
	*
FROM	sys.database_mirroring AS sd
WHERE	db_name(sd.[database_id]) LIKE 'Adven%'
ORDER BY 1
GO

:CONNECT (local)\SQLDev01

SELECT	db_name(sd.[database_id]) AS [Database Name], 
		sd.mirroring_witness_state, 
		sd.mirroring_witness_state_desc, 
		sd.mirroring_role_desc,	
		sd.mirroring_safety_level_desc,
	*
FROM	sys.database_mirroring AS sd
WHERE	db_name(sd.[database_id]) LIKE 'Adven%'
ORDER BY 1
GO

!!net stop MSSQL$SQLDev01 /Y
go

:CONNECT (local)\SQLDev02

SELECT	db_name(sd.[database_id]) AS [Database Name], 
		sd.mirroring_witness_state, 
		sd.mirroring_witness_state_desc, 
		sd.mirroring_role_desc,	
		sd.mirroring_safety_level_desc
FROM	sys.database_mirroring AS sd
WHERE	db_name(sd.[database_id]) LIKE 'Adven%'
ORDER BY 1
GO

:CONNECT (local)\SQLDev02

USE AdventureWorks
GO

USE AdventureWorksDW
GO

!!net start SQLAgent$SQLDev01 /Y
!!net start MSSQL$SQLExpress /Y
go

:CONNECT (local)\SQLDev02

SELECT	db_name(sd.[database_id]) AS [Database Name], 
		sd.mirroring_witness_state, 
		sd.mirroring_witness_state_desc, 
		sd.mirroring_role_desc,	
		sd.mirroring_safety_level_desc
FROM	sys.database_mirroring AS sd
WHERE	db_name(sd.[database_id]) LIKE 'Adven%'
ORDER BY 1
GO
